Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php-gmagick: new aport (http://bugs.alpinelinux.org/issues/4814)

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 6 Nov 2015 16:53:01 +0200

---
 testing/php-gmagick/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/php-gmagick/APKBUILD
diff --git a/testing/php-gmagick/APKBUILD b/testing/php-gmagick/APKBUILD
new file mode 100644
index 0000000..08e36b0
--- /dev/null
+++ b/testing/php-gmagick/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=php-gmagick
+_pkgreal=gmagick
+pkgver=1.1.7_rc3
+_pkgver=${pkgver/_rc/RC}
+pkgrel=0
+pkgdesc="PHP bindings to the GraphicsMagick library"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="PHP"
+depends=
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends graphicsmagick-dev"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgver
+
+build() {
+	cd "$_builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir/" install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
+}
+
+md5sums="b11fe7922daf32a2f82956a3501c7c7b  gmagick-1.1.7RC3.tgz"
+sha256sums="1d2a35811a29e0744e852dda526f30c8a0cba516ef611758dd5bd4837ecba1fd  gmagick-1.1.7RC3.tgz"
+sha512sums="a51f148dc16322bcd5586b4af059389159edab1de4ada5743a5ef6dd8d4f001a21f955dc8fd2dac2969a5048db89e3b8031da3a2f519d59fcb1f8e6afa4d8dd9  gmagick-1.1.7RC3.tgz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 06 2015 - 16:53:01 GMT